package app

import (
	v1 "git.echol.cn/loser/st/server/api/v1"
	"github.com/gin-gonic/gin"
)

type PresetRouter struct{}

// InitPresetRouter 初始化预设路由
func (r *PresetRouter) InitPresetRouter(Router *gin.RouterGroup) {
	presetRouter := Router.Group("preset")
	presetApi := v1.ApiGroupApp.AppApiGroup.PresetApi
	{
		presetRouter.POST("", presetApi.CreatePreset)                 // 创建预设
		presetRouter.GET("", presetApi.GetPresetList)                 // 获取预设列表
		presetRouter.GET("/:id", presetApi.GetPresetByID)             // 获取预设详情
		presetRouter.PUT("/:id", presetApi.UpdatePreset)              // 更新预设
		presetRouter.DELETE("/:id", presetApi.DeletePreset)           // 删除预设
		presetRouter.POST("/:id/default", presetApi.SetDefaultPreset) // 设置默认预设
		presetRouter.POST("/import", presetApi.ImportPreset)          // 导入预设
		presetRouter.GET("/:id/export", presetApi.ExportPreset)       // 导出预设
	}
}
